# Namespace: res_display_module

## res_display_module

Controlador de los módulos utilizados en nicho ecológico.

Source:
  - res_display_module.js, line 2

### Methods

#### (private, static) ._addDataChartTotal(data_chart, decil_total)

Éste método agrega una variable extra a la estructura generada por el método _createSetStructure cuando es requerido un total.

##### Parameters:

Name | Type | Description
--- | --- | ---
`data_chart` | array | Array resultante de los grupos de variables seleccionados por el usuario y con la estrucutra necesaria para ser desplegados en los componentes visuales.
`decil_total` | array | Array resultante del total de los grupos de variables seleccionados por el usuario.

Source:
  - res_display_module.js, line 1885

#### (private, static) ._confDataRequest(num_items, val_process)

Éste método configura los parámetros que son enviados a las diferentes peticiones al servidor cuando se desea ejecutar un análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`num_items` | integer | Número de grupos de variables seleccionado
`val_process` | boolean | Bandera que indica si será ejecutado el proceso de validación

Source:
  - res_display_module.js, line 566

#### (private, static) ._configureStyleMap(sdata)

Éste método realiza la petición al servidor para obtener el valor de score por celda utilizado para la coloración de la malla a través del módulo mapa en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`sdata` | json | Json con la configuración seleccionada por el usuario

Source:
  - res_display_module.js, line 1160

#### (private, static) ._createHistEpScr_Especie(ddata)

Éste método realiza la petición al servidor para obtener el valor de épsilon y score por especie y desplegar los histogramas de epsilon especie y score especie por medio del módulo de histograma en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`ddata` | json | Json con la configuración seleccionada por el usuario

Source:
  - res_display_module.js, line 1258

#### (private, static) ._createHistScore_Celda(cdata)

Éste método realiza la petición al servidor para obtener el valor de score por celda y desplegar el hitograma de score celda por medio del módulo histograma en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`cdata` | json | Json con la configuración seleccionada por el usuario

Source:
  - res_display_module.js, line 1458

#### (private, static) ._createScore_Decil(decildata, test_set, hasChildren, isTotal)

Éste método realiza la petición al servidor para obtener el cálculo de score por decil y generar el histograma de score decil en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`decildata` | josn | Json con la configuración seleccionada por el usuario
`test_set` | array | Array con los ids de celdas que deben ser descartados si existe proceso de validación
`hasChildren` | boolean | Bandera que indica si la configuración enviada es un conjunto de las variables seleccionadas o es una variable del grupo
`isTotal` | boolean | Bandera que indica si la configuración enviada es el total de los conjuntos de las variables seleccionadas

Source:
  - res_display_module.js, line 957

#### (private, static) ._createSetStructure(fathers, sons)

Éste método realiza la gestión de las respuestas a las peticiones hechas para calcular el score por celda de forma segmentada de los grupos de variables utilizados. Además genera una estructura de la información devuelta por el servidor para generar el histograma decil y tabla decil en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`fathers` | array | Array resultante de los grupos de variables seleccionados por el usuario.
`sons` | array | Array resultante de las variables seleccionadas por el usuario.

Source:
  - res_display_module.js, line 1676

#### (private, static) ._createTableEpSc(tdata)

Éste método envía el conjunto de parámetros al módulo table para generar la tabla de resultados de épsilon y score en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`tdata` | json | Json con la configuración seleccionada por el usuario

Source:
  - res_display_module.js, line 1086

#### (private, static) ._createTableFromData(json_data)

Éste método genera un HTML para desplegar la tabla que contiene los resultados de la petición hecha por showGetFeatureInfo.

##### Parameters:

Name | Type | Description
--- | --- | ---
`json_data` | json | Json con el valor resultante de la celda seleccionada

Source:
  - res_display_module.js, line 2069

#### (private, static) ._deleteRepetedElements(arraynames)

DEPRECATED. Éste método elimina las especies repetidas devueltas por el servidor en los cálculos, así como contabilizar el porcentaje de ocurrencias de una especies por decil.

##### Parameters:

Name | Type | Description
--- | --- | ---
`arraynames` | array | Array con el nombre de las especies que componen cada decil de las variables y grupos de variables seleccionados

Source:
  - res_display_module.js, line 1973

#### (private, static) ._initilizeElementsForDisplay(map_module, histogram_module, table_module, language_module, ids_comp_variables)

Éste método enlaza las variables globales de los módulos inicializados de lenguaje, mapa, histograma, tabla y validación.

##### Parameters:

Name | Type | Description
--- | --- | ---
`map_module` | object | Módulo mapa
`histogram_module` | object | Módulo histograma
`table_module` | object | Módulo tabla
`language_module` | object | Módulo internacionalización
`ids_comp_variables` | array | Array que contiene los identificadores de los componentes para seleccionar variables

Source:
  - res_display_module.js, line 299

#### (private, static) ._iterateValidationProcess()

Éste método realiza la segmentación aleatoria del conjunto de celdas para realizar el proceso de validación. Cuando todas las iteraciones han sido realizadas los resultados son enviados al módulo de validación.

Source:
  - res_display_module.js, line 1518

#### (private, static) ._panelGeneration(discardedGridids)

Éste método configura las celdas del mapa que deben ser descartadas en los procesos de validación y eliminación de puntos para el análisis de nicho ecoógico. Además realiza las peticiones al servidor de forma seccionada para el cálculo de valores por decil.

##### Parameters:

Name | Type | Description
--- | --- | ---
`discardedGridids` | array | Array con los ids de celda que son descartados cuando existe proceso de validación

Source:
  - res_display_module.js, line 721

#### (static) .get_cData()

Método getter de la configuración para generar el histograma de score por celda en el análisis de nicho ecológico.

Source:
  - res_display_module.js, line 128

#### (static) .get_cData(idreg)

Método setter del id de región seleccionado.

##### Parameters:

Name | Type | Description
--- | --- | ---
`idreg` | integer | Identificador de la región seleccionada para el análisis de nicho ecológico.

Source:
  - res_display_module.js, line 141

#### (static) .refreshData(num_items, val_process, slider_value, min_occ_process, mapa_prob, rango_fechas, chkFecha)

Éste método inicia el proceso de un análisis de nicho ecológico. Además ejecuta el proceso de validación si esta activado.

##### Parameters:

Name | Type | Description
--- | --- | ---
`num_items` | integer | Número de grupos de variables seleccionado
`val_process` | boolean | Bandera que indica si será ejecutado el proceso de validación
`slider_value` | integer | Porcentaje que será utilzado para el conjunto de prueba en el proceso de validación
`min_occ_process` | boolean | Bandera que indica si será tomado en cuenta un número mínimo de celdas en nj
`mapa_prob` | boolean | Bandera que indica si será desplegado el mapa de probabildiad
`rango_fechas` | array | Array que contiene el limite inferior y superior del rango de fechas para realizar un análisis de nicho ecológico
`chkFecha` | boolean | Bandera que indica si serán tomados en cuenta los registros sin fecha para realizar un análisis de nicho ecológico

Source:
  - res_display_module.js, line 432

#### (static) .set_allowedCells(computed_occ_cells)

Método setter de las celdas consideradas por proceso de validación en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`computed_occ_cells` | array | Celdas consideradas por proceso de validación en el análisis de nicho ecológico

Source:
  - res_display_module.js, line 246

#### (static) .set_allowedPoints(allowedPoints)

Método setter de las ocurrencias de la especie consideradas por proceso de validación en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`allowedPoints` | array | Ocurrencias de la especie considerada en el análisis de nicho ecológico

Source:
  - res_display_module.js, line 193

#### (static) .set_discardedCellFilter(computed_discarded_cells)

Método setter de las celdas descartadas por filtros en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`computed_discarded_cells` | array | Celdas descartadas por filtros en el análisis de nicho ecológico

Source:
  - res_display_module.js, line 233

#### (static) .set_discardedPoints(discardedPoints)

Método setter de las ocurrencias de la especie descartadas por proceso de validación en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`discardedPoints` | array | Ocurrencias de la especie descartadas en el análisis de nicho ecológico

Source:
  - res_display_module.js, line 206

#### (static) .set_discardedPointsFilter(discardedPointsFilter)

Método setter de las ocurrencias de la especie descartadas por filtros en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`discardedPointsFilter` | array | Ocurrencias de la especie descartadas por filtros en el análisis de nicho ecológico

Source:
  - res_display_module.js, line 219

#### (static) .set_spid(spid)

Método setter del id de la especie objetivo seleccionada para el análisis de nicho ecológico

##### Parameters:

Name | Type | Description
--- | --- | ---
`spid` | integer | Identificador de la especie objetivo para el análisis de nicho ecológico

Source:
  - res_display_module.js, line 154

#### (static) .set_subGroups(subgroups)

Método setter de los grupos de variables seleccionados para el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`subgroups` | array | Array de los grupos seleccionados para el análisis de nicho ecológico

Source:
  - res_display_module.js, line 167

#### (static) .set_typeBioclim(type_time)

Método setter para considerar las variables climáticas futuras en el análisis de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`type_time` | boolean | Bandera para considerar las variables climáticas futuras en el análisis de nicho ecológico

Source:
  - res_display_module.js, line 180

#### (static) .setHistogramModule(histogram_module)

Método setter del módulo histograma.

##### Parameters:

Name | Type | Description
--- | --- | ---
`histogram_module` | object | Módulo histograma

Source:
  - res_display_module.js, line 272

#### (static) .setMapModule(map_module)

Método setter del módulo mapa.

##### Parameters:

Name | Type | Description
--- | --- | ---
`map_module` | object | Módulo mapa

Source:
  - res_display_module.js, line 259

#### (static) .setTableModule(tableModule)

Método setter del módulo table.

##### Parameters:

Name | Type | Description
--- | --- | ---
`tableModule` | object | Módulo table

Source:
  - res_display_module.js, line 285

#### (static) .showGetFeatureInfo(lat, long)

Éste método realiza la petición al servidor cuando una celda es seleccionada por el usuario y obtiene el valor de score que se encuentran dentro de la celda en conjunto con el módulo mapa.

##### Parameters:

Name | Type | Description
--- | --- | ---
`lat` | float | Latitud del punto sleccionado por el usuario
`long` | float | Longitud del punto sleccionado por el usuario

Source:
  - res_display_module.js, line 2023

#### (static) .startResDisplay(map_module, histogram_module, table_module, language_module, ids_comp_variables)

Éste método llama a la función que inicializa las variables necesarias para el despliegue de los componentes visuales.

##### Parameters:

Name | Type | Description
--- | --- | ---
`map_module` | object | Módulo mapa para gestionar las funciones que son requeridas en el análisis de nicho ecológico
`histogram_module` | object | Módulo histograma para gestionar las funciones que son requeridas en el análisis de nicho ecológico
`table_module` | object | Módulo table para gestionar las funciones que son requeridas en el análisis de nicho ecológico
`language_module` | object | Módulo de internacionalización para gestionar las funciones que sonr equeridas en el análisis de nicho ecológico
`ids_comp_variables` | array | Array con los identificadores de los componentes visuales utilizados en la selección de variables

Source:
  - res_display_module.js, line 2217

#### (static) .updateLabels()

Éste método actualiza los labels del sistema cuando existe un cambio de lenguaje. Existen labels que no son regenerados ya que la información es obtenida por el servidor al momento de la carga.

Source:
  - res_display_module.js, line 1344